Bug 816903 - [abrt] kernel: WARNING: at fs/btrfs/extent-tree.c:6170 btrfs_alloc_free_block+0x364/0x370 [btrfs]()
[abrt] kernel: WARNING: at fs/btrfs/extent-tree.c:6170 btrfs_alloc_free_block...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zach Brown
Fedora Extras Quality Assurance
abrt_hash:805bf1d1c994ba76f2b1f8a8c4a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 05:31 EDT by Renich Bon Ciric
Modified: 2015-05-17 21:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 08:40:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (4.28 KB, text/plain)
2012-04-27 05:31 EDT, Renich Bon Ciric
no flags Details

  None (edit)
Description Renich Bon Ciric 2012-04-27 05:31:40 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.2-6.fc16.x86_64 root=/dev/mapper/vg_introdesk-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_introdesk/lv_swap quiet rd.lvm.lv=vg_introdesk/lv_root rhgb rd.luks=0 SYSFONT=latarcyrheb-sun16 KEYTABLE=es LANG=en_US.UTF-8
event_log:      2012-04-27-04:31:14> Smolt profile successfully saved
kernel:         3.3.2-6.fc16.x86_64
reason:         WARNING: at fs/btrfs/extent-tree.c:6170 btrfs_alloc_free_block+0x364/0x370 [btrfs]()
time:           Thu 26 Apr 2012 11:52:51 PM CDT

smolt_data:     Text file, 4379 bytes

backtrace:
:WARNING: at fs/btrfs/extent-tree.c:6170 btrfs_alloc_free_block+0x364/0x370 [btrfs]()
:Hardware name: To be filled by O.E.M.
:Modules linked in: btrfs zlib_deflate libcrc32c ppdev parport_pc lp parport fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc lockd be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack sunrpc ses enclosure snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device vhost_net macvtap macvlan tun kvm_amd snd_pcm kvm joydev uinput binfmt_misc eeepc_wmi asus_wmi sparse_keymap rfkill snd_timer snd sp5100_tco microcode i2c_piix4 serio_raw soundcore snd_page_alloc k10temp e1000e edac_core edac_mce_amd firewire_ohci firewire_core crc_itu_t usb_storage nouveau ttm drm_kms_helper drm i2c_core mxm_wmi video wmi [last unloaded: scsi_wait_scan]
:Pid: 3271, comm: umount Tainted: G        W    3.3.2-6.fc16.x86_64 #1
:Call Trace:
: [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81057b1a>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa05e6514>] btrfs_alloc_free_block+0x364/0x370 [btrfs]
: [<ffffffff8116c1df>] ? kmem_cache_free+0x2f/0x130
: [<ffffffffa0615e9a>] ? read_extent_buffer+0xea/0x180 [btrfs]
: [<ffffffffa05d483f>] __btrfs_cow_block+0x12f/0x440 [btrfs]
: [<ffffffffa05d4c46>] btrfs_cow_block+0xf6/0x220 [btrfs]
: [<ffffffffa05d8a49>] btrfs_search_slot+0x419/0x8b0 [btrfs]
: [<ffffffffa05eb60a>] btrfs_del_csums+0x17a/0x2f0 [btrfs]
: [<ffffffffa05e016e>] __btrfs_free_extent+0x46e/0x6d0 [btrfs]
: [<ffffffffa05e4193>] run_clustered_refs+0x213/0x8f0 [btrfs]
: [<ffffffffa06326fc>] ? find_ref_head+0x7c/0xe0 [btrfs]
: [<ffffffffa05e49ee>] btrfs_run_delayed_refs+0x17e/0x4a0 [btrfs]
: [<ffffffff8112d045>] ? pagevec_lookup_tag+0x25/0x40
: [<ffffffffa060f590>] ? btrfs_run_ordered_operations+0x1c0/0x1e0 [btrfs]
: [<ffffffff815f2ff4>] ? wait_for_common+0x144/0x170
: [<ffffffffa05f53f4>] btrfs_commit_transaction+0x94/0x820 [btrfs]
: [<ffffffff8107a7f0>] ? remove_wait_queue+0x50/0x50
: [<ffffffffa060ee1e>] ? btrfs_wait_ordered_extents+0x3e/0x1b0 [btrfs]
: [<ffffffffa05cf004>] btrfs_sync_fs+0x74/0xf0 [btrfs]
: [<ffffffff811ae0f3>] __sync_filesystem+0x63/0x90
: [<ffffffff811ae19b>] sync_filesystem+0x4b/0x70
: [<ffffffff8118351b>] generic_shutdown_super+0x3b/0xf0
: [<ffffffff81183666>] kill_anon_super+0x16/0x30
: [<ffffffffa05d1aaa>] btrfs_kill_super+0x1a/0x90 [btrfs]
: [<ffffffff8118389c>] deactivate_locked_super+0x3c/0xa0
: [<ffffffff811843de>] deactivate_super+0x4e/0x70
: [<ffffffff8119ee50>] mntput_no_expire+0xd0/0x120
: [<ffffffff8119fba1>] sys_umount+0x71/0x380
: [<ffffffff815fc1e9>] system_call_fastpath+0x16/0x1b
Comment 1 Renich Bon Ciric 2012-04-27 05:31:45 EDT
Created attachment 580696 [details]
File: smolt_data
Comment 2 Josh Boyer 2012-09-18 11:58:39 EDT
Have you seen this with the 3.4 or 3.5 kernel updates?
Comment 3 Renich Bon Ciric 2012-09-19 07:26:40 EDT
3.4 most probably. I am not sure. But, judging from the bug report's date, it must be 3.4, right?
Comment 4 Josh Boyer 2012-09-19 08:17:39 EDT
(In reply to comment #3)
> 3.4 most probably. I am not sure. But, judging from the bug report's date,
> it must be 3.4, right?

No...  your original report was with the 3.3 kernel.  Have you seen it again?
Comment 5 Renich Bon Ciric 2012-09-19 08:19:07 EDT
Oh, no. Sorry. I haven't seen it.
Comment 6 Josh Boyer 2012-09-19 08:40:25 EDT
OK, thanks for letting us know.  We're going to close this out as fixed by the 3.4 update.  If you see it again, please reopen with the relevant details.
Comment 7 Renich Bon Ciric 2012-09-19 08:41:31 EDT
Understood. Thank you.

Note You need to log in before you can comment on or make changes to this bug.